Create Webhook

CreateWebhook. Based on a provided URL, allows the generation of webhooks for a series of events.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Request Payload

The body transmitted by the POST is an XML structure.

Feed-related events

  • onFeedCompleted: Notification of executed Feed, which may be with or without rejections
  • onFeedCreated: Notification of Feed creation

Order-related events

  • onOrderCreated: Notification of the generation of a new Order creation
  • onOrderItemsStatusChanged: Notification when there is a status change in items.

Product-related events

  • onProductCreated: Notification of new product creation
  • onProductQcStatusChanged: Notification when there is a change in content points
  • onProductUpdated: Notification when there is a change in the status of a product

Request Body

<?xml version="1.0" encoding="UTF-8" ?>
<Request>
	<Webhook>
		<CallbackUrl>http://example.com/callback</CallbackUrl>
    <Events>
      <Event>onOrderCreated</Event>
      <Event>onProductCreated</Event>
    </Events>
	</Webhook>
</Request>

The XML tags have the following meaning:

Field NameTypeComment
CallbackUrlStringThe webhook URL that Falabella Seller Center will call
EventsEvent[]List of events related to the webhook identified by their alias, see the GetWebhookEntities call for more details.

Error description

Error CodeError Description
5Invalid Request Format
6Unexpected internal error
(may mean feature is not configured or unknown error occurred)
89Required field is missing
98Invalid Webhook Callback Url, "Given url is invalid"
99Invalid Webhook Event Alias, "Events alias are not matching"

Example of error response

<?xml version="1.0" encoding="UTF-8"?>
<ErrorResponse>
     <Head>
       <RequestAction>CreateWebhook</RequestAction>
       <ErrorType>Sender</ErrorType>
       <ErrorCode>96</ErrorCode>
       <ErrorMessage>
         E096: Invalid Webhook Event Alias, "Events alias are not matching"
       </ErrorMessage>
     </Head>
     <Body/>
</ErrorResponse>
Query Params
string
required
Defaults to CreateWebhook

Name of the function to be called. Required and must be 'GetBrands' in this case. If omitted, an error 'E001: Parameter Action is mandatory' is returned. If an unknown function string is provided, an error message 'E008: Invalid Action' is returned.

date
required

The current time in ISO8601 format relative to UTC (e.g., Timestamp = 2015-04-01T10:00:00+02:00 for Berlin), so that calls cannot be replayed by a third party intercepting them (i.e., calls too far in the past or future will produce an error message). Required. If not provided, the error message 'E001: Parameter Timestamp is mandatory' appears. If the timestamp is too old or in the future, an error message "E003: Timestamp has expired" is returned.

string
required

The API version against which this call will be executed, in major-dot-minor format. It must currently be 1.0, although the actual API version is 2.6.20. If omitted, an error message "E001: Parameter Version is mandatory" is returned.

string
required

The cryptographic signature that authenticates the request. A caller must create this value by calculating the SHA256 hash of the request, using the API key of the user specified in the UserID parameter. Required. If omitted, an error message "E001: Parameter Signature is mandatory" is returned. If the signature is incorrect, an 'E007: Login failed' error message for signature mismatch is returned.

string
Defaults to XML

If provided, it must be 'JSON' or 'XML'. If not provided, 'XML' is assumed.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Response

Language
LoadingLoading…
Response
Choose an example:
application/xml
application/json